<?php
namespace nur\sery\output;

trait TOutputObjectAsCsv {
  function printObject($object): void {
    if ($object === null) return;
    if (is_object($object)) $object = (array)$object;
    if (is_array($object)) $this->printCsv($object);
    else $this->print([$object]);
  }
}
